<!DOCTYPE html>
<html>
<head>
<meta http-equiv="content-type" content="text/html;charset=utf-8">
<meta name="pragma" content="no-cache">
<meta name="robots" content="noindex, nofollow">
<title>Password Hash Generator</title>
<style type="text/css">
@import url('https://fonts.googleapis.com/css?family=Roboto+Condensed');
html {
	display: table;
}

html,
body {
	width: 100%;
	height: 100%;
	margin: 0;
	padding: 0;
}

body {
	background-color: #fff;
	display: table-cell;
	vertical-align: middle;
	font-family: Roboto, 'Helvetica Neue', Helvetica, Arial, sans-serif;
	font-size: 18px;
	font-style: normal;
	line-height: normal;
	font-weight: normal;
	font-variant: normal;
}

.wrapper {
	font-family: Roboto, 'Helvetica Neue', Helvetica, Arial, sans-serif;
	font-size: 18px;
	border: 1px solid #dbe5e8;
	background-color: #dce5ea;
	max-width: 640px;
	height: auto;
	vertical-align: middle;
	text-align: center;
	margin: 0 auto;
	padding: 25px;
}

.title {
	font-family: 'Roboto Condensed', 'Helvetica Neue', Helvetica, Arial, sans-serif;
	font-size: 33px;
	margin-bottom: 2rem;
	font-weight: bold;
	color: #3384a2;
}

.password {
	display: block;
	width: 100%;
	max-width: 93%;
	margin: 1.5rem auto;
	padding: 0.5rem 1rem;
	border: 1px solid #dbe5e8;
	color: #606c76;
	background-color: #f4f9fb;
	font-family: 'Roboto Condensed', 'Helvetica Neue', Helvetica, Arial, sans-serif;
	font-size: 14px;
	font-weight: normal;
	line-height: 2;
	font-style: normal;
	font-variant: normal;
	border-radius: 3px;
	vertical-align: middle;
}

.generate {
	margin-top: 0.5rem;
	border: 1px solid #3384a2;
	color: #fff;
	background-color: #3384a2;
	font-family: 'Roboto Condensed', 'Helvetica Neue', Helvetica, Arial, sans-serif;
	font-size: 22px;
	line-height: 2;
	font-variant: normal;
	cursor: pointer;
	border-radius: 5px;
	vertical-align: middle;
	min-width: 150px;
}
</style>
</head>
<body>
<div class="wrapper">

<h1 class="title">Password Generator</h1>

<form action="<?php echo htmlspecialchars($_SERVER['PHP_SELF']); ?>" method="post">

	<input class="password" type="text" name="pass" id="pass" value="<?php echo isset($_POST['pass']) && !empty($_POST['pass']) ? htmlspecialchars($_POST['pass']) : ''; ?>" placeholder="Password">

	<input class="password" readonly="readonly" type="text" name="pass_cripted" id="pass_cripted" value="<?php echo isset($_POST['pass']) && !empty($_POST['pass']) ? password_hash($_POST['pass'], PASSWORD_DEFAULT) : ''; ?>" onclick="javascript:this.focus();this.select();" placeholder="Result will be here...">

	<input class="generate" type="submit" name="submit" value="Generate">

</form>

</div>
</body>
</html>
